fr.enssat.BoulderDash.controllers

## Class NavigationBetweenViewController

- java.lang.Object
- - fr.enssat.BoulderDash.controllers.NavigationBetweenViewController

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class NavigationBetweenViewController
    extends java.lang.Object
    implements java.awt.event.ActionListener

Controller to navigate between the different views

Author:
  Colin Leverger <me@colinleverger.fr>

### Constructor Summary

Constructors
Constructor and Description
`NavigationBetweenViewController()` Class constructor

### Method Summary

Methods
`void` `actionPerformed(java.awt.event.ActionEvent event)` Action performed event handler
`AudioLoadHelper` `getAudioLoadHelper()` Get the audio load helper
`MenuView` `getMenuView()` Get the first view
`java.lang.String` `getPickedLevelIdentifier()` Get the pickedLevel
`MenuView` `setMenuView()` Set the first view
`void` `setPickedLevelIdentifier(java.lang.String pickedLevelIdentifier)` Set the pickedLevelIdentifier

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NavigationBetweenViewController

    public NavigationBetweenViewController()

Class constructor

### Method Detail

#### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

Action performed event handler

Specified by:
  `actionPerformed` in interface `java.awt.event.ActionListener`
Parameters:
  `event` - Action event

#### getAudioLoadHelper

    public AudioLoadHelper getAudioLoadHelper()

Get the audio load helper

Returns:
  Audio load helper

#### getMenuView

    public MenuView getMenuView()

Get the first view

Returns:
  First view

#### setMenuView

    public MenuView setMenuView()

Set the first view

Parameters:
  `menuView` -

#### getPickedLevelIdentifier

    public java.lang.String getPickedLevelIdentifier()

Get the pickedLevel

Returns:
  pickedLevelIdentifier Picked level identifier

#### setPickedLevelIdentifier

    public void setPickedLevelIdentifier(java.lang.String pickedLevelIdentifier)

Set the pickedLevelIdentifier

Parameters:
  `pickedLevelIdentifier` - Picked level identifier